Skip to main content
POST
/
v1
/
invite
/
validate
Validate invite
curl --request POST \
  --url https://perp-api.phoenix.trade/v1/invite/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "string",
  "wallet_address": "string"
}
'
import requests

url = "https://perp-api.phoenix.trade/v1/invite/validate"

payload = {
"code": "string",
"wallet_address": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: 'string', wallet_address: 'string'})
};

fetch('https://perp-api.phoenix.trade/v1/invite/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "success": true,
  "whitelisted": true
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Body

application/json

JSON request payload for post.v1.invite.validate.

code
string
required
wallet_address
string
required
transaction_signature
string | null

Optional transaction signature if the client has already submitted an on-chain transaction

Response

Validation successful

message
string
required
success
boolean
required
whitelisted
boolean
required